<?php
if (!empty($_POST["validate_password"])) {
    $passwordError = "";
    if (!empty($_POST["password"]) && !empty($_POST["confirm_password"])) {
        $password = htmlspecialchars($_POST["password"]);
        $confirmPassword = htmlspecialchars($_POST["confirm_password"]);

        $password_pattern = '/^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[@$!%*?&])[A-Za-z\d@$!%*?&]{8,}$/';

        if ($password != $confirmPassword) {
            $passwordError .= "Passwords are not same.\n";
        }
        if (!preg_match($password_pattern, $password)) {
            $passwordError .= "Password must have at least 8 character length with mimimum 1 uppercase, 1 lowercase, 1 number and 1 special characters.\n";
        }
    } else {
        $noPassword = true;
        $passwordError .= "Enter password and confirm.\n";
    }

    // Prepare validation response for acknowleding user
    if (!empty($passwordError)) {
        $validationOutput["type"] = "error";
        if ($noPassword) {
            $validationOutput["ack"] = nl2br($passwordError);
        } else {
            $btnViewPassword = "<button type='button' class='btn-view-password' onClick='
            document.querySelectorAll(\".password-input\").forEach(el => 
            (el.type == \"password\") ? (el.type = \"text\") : (el.type = \"password\")
            ); '>
            View password</button>";
            $validationOutput["ack"] = nl2br($passwordError) . $btnViewPassword;
            $validationOutput["re_populate"] = true;
        }
    } else {
        $validationOutput = array("type" => "success", "ack" => "Password is valid.");
        // Handle further processing once the password is validated
    }
}

require_once __DIR__ . "/inc/password-form.inc";
